Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialList.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialList.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/Material/FrmMaterialList.cs	(revision 51)
@@ -0,0 +1,524 @@
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.DataEntry;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+//*------------------------ 資材一覧 ----------------------*
+//  2015/07/14  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmMaterialList : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum DispColumn
+        {
+            DisplayOrder = 0,
+            MaterialKindName,
+            MaterialItemCode,
+            MaterialItemName,
+            MaterialCount,
+            RentCount,
+            EntryDate,
+        }
+
+        /// <summary>
+        /// 取得データカラム
+        /// </summary>
+        private enum DataColumn
+        {
+            MaterialKindName=0,
+            MaterialItemCode,
+            MaterialItemName,
+            MaterialCount,
+            RentCount,
+            EntryDate,
+        }
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// フィールド値変化フラグ
+        /// </summary>
+        //private bool m_bChengeAns = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+
+        /// <summary>
+        /// 初期時グリッドカウント
+        /// </summary>
+        //private int m_initDataCount = 0;
+        /// ダイアログ使用フラグ
+        /// </summary>
+        private bool m_DialogFlg = false;
+        #endregion
+
+        #region コンストラクタ
+        public FrmMaterialList()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmMaterialList()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+
+        #region プロパティ
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+        #endregion
+
+
+        #region イベントメソッド
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmMaterialList_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmMaterialList_Load(object sender, EventArgs e)
+        {
+            // 初期表示
+            InitDataLoad();
+            
+            if (m_EditLock) btnMaterialCountEntry.Enabled = false;
+
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+        }
+
+        /// <summary>
+        /// 行データクリア
+        /// </summary>
+        /// <param name="iIndex">行カウント</param>
+        private void SetRowClearData(int iIndex)
+        {
+            // クリアデータセット
+        }
+
+        /// <summary>
+        /// グリッド採番処理
+        /// </summary>
+        private void LineReNumbering()
+        {
+            int icnt = 1;
+            foreach (DataGridViewRow r in dgvMaster.Rows)
+            {
+                // 表示されているものだけ採番
+                if (r.Visible)
+                    r.Cells[(int)DispColumn.DisplayOrder].Value = (icnt++).ToString();
+                else
+                    r.Cells[(int)DispColumn.DisplayOrder].Value = "0";
+            }
+        }
+        
+        /// <summary>
+        /// セルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellClick(object sender, DataGridViewCellEventArgs e)
+        {
+            setButtonEnable();
+        }
+
+        /// <summary>
+        /// セルダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            //　資材履歴画面を表示
+           btnMaterialHistory_Click(sender, e);
+        }
+
+        #endregion
+
+        #region プライベートメソッド
+
+        /// <summary>
+        /// 素材種類のロード
+        /// </summary>
+        private void LoadMaterialKind()
+        {
+            IOMaterialTypes IoMt = new IOMaterialTypes();
+            try
+            {
+                List<MaterialKindMaster> itemList = new List<MaterialKindMaster>();
+                if (!IoMt.SelectAction(" Where DeleteFlg = 0 Order By DisplayOrder ASC", ref itemList)) return;
+                if (itemList.Count == 0) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, "すべて"));
+                // データ表示
+                for (int i = 0; i < itemList.Count; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(itemList[i].MaterialKindCode, itemList[i].MaterialKindName);
+
+                    DataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                cmbTypes.ValueMember = "Key";
+                cmbTypes.DisplayMember = "Value";
+                ComboBoxAction.InitDataSetCombBox(cmbTypes, DataList, false);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                IoMt.close();
+                IoMt = null;
+            }
+        }
+
+        /// <summary>
+        /// 初期表示処理
+        /// </summary>
+        private void InitDataLoad()
+        {
+            try
+            {
+
+                //素材種類表示
+                LoadMaterialKind();
+
+                DispGridData();
+                // ダイアログ使用時
+                if (m_DialogFlg)
+                {
+                    //フォームの幅だけを変更する
+                    this.SetBounds(this.Left, this.Top, (this.Width - 40), this.Height, BoundsSpecified.Width);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        /// <summary>
+        /// 資材一覧表示
+        /// </summary>
+        /// <returns></returns>
+        private bool DispGridData()
+        {
+            List<MaterialInfo> lmi = new List<MaterialInfo>();
+            ArrayList arData = new ArrayList();
+            IOMaterialInfo mi = new IOMaterialInfo();
+ 
+            try
+            {
+                if (cmbTypes.SelectedIndex < 0) return false ;
+
+                string strMaterialKindCode = cmbTypes.SelectedValue.ToString();
+
+                // グリッドの行を0に戻す
+                dgvMaster.Rows.Clear();
+
+                // 抽出
+                StringBuilder sql = new StringBuilder();
+                sql.AppendLine("select   Mk.MATERIALKINDNAME ");
+                sql.AppendLine("		,Mim.MaterialItemCode ");
+                sql.AppendLine("		,Mim.MaterialItemName ");
+                sql.AppendLine("        ,ifnull(Mi.MaterialCount,'0') as MaterialCount ");
+                sql.AppendLine("        ,ifnull(Mi.RentCount,'0') as RentCount ");
+                sql.AppendLine("        ,DATE_FORMAT(Mim.EntryDate, '%Y/%m/%d') as EntryDate ");
+                sql.AppendLine("from MaterialItemMaster as Mim 	left join MaterialInfo as Mi on Mim.MATERIALITEMCODE = Mi.MATERIALITEMCODE ");
+                sql.AppendLine("								left join materialkindmaster as Mk on Mim.MATERIALKINDCODE = Mk.MATERIALKINDCODE ");
+                sql.AppendLine("where Mim.DELETEFLG <> 1 ");
+
+                // 条件追加
+                //if (strMaterialKindCode.Length == 1 && strMaterialKindCode != "0") 
+                if (strMaterialKindCode != "0")
+                {
+                    sql.AppendFormat("and	  Mim.MATERIALKINDCODE = {0} ",strMaterialKindCode);
+                }
+                sql.AppendLine("order by Mk.Displayorder,Mim.Displayorder");
+
+                if (!mi.ExecuteReader(sql.ToString(), ref arData)) return false;
+
+                // データ表示
+                int icnt = 0;
+                foreach (object[] work in arData)
+                {
+                    dgvMaster.Rows.Add();
+
+                    string chkString = CommonMotions.cnvString(work[(int)DataColumn.MaterialKindName]);
+                    if (icnt == 0
+                        || (icnt != 0 && (!chkString.Equals(dgvMaster.Rows[icnt-1].Cells[(int)DispColumn.MaterialKindName].ToolTipText))))
+                    {
+                        dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialKindName].Value = CommonMotions.cnvString(work[(int)DataColumn.MaterialKindName]);
+                    }
+                    else 
+                    {
+                        dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialKindName].Value = "";
+                    }
+
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialKindName].ToolTipText = CommonMotions.cnvString(work[(int)DataColumn.MaterialKindName]);
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialItemCode].Value = CommonMotions.cnvInt(work[(int)DataColumn.MaterialItemCode]);
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialItemName].Value = CommonMotions.cnvString(work[(int)DataColumn.MaterialItemName]);
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialItemName].ToolTipText = CommonMotions.cnvString(work[(int)DataColumn.MaterialItemName]);
+
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialCount].Value = CommonMotions.cnvInt(work[(int)DataColumn.MaterialCount]);
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.RentCount].Value = CommonMotions.cnvInt(work[(int)DataColumn.RentCount]);
+
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.EntryDate].Value = CommonMotions.cnvString(work[(int)DataColumn.EntryDate]);
+
+                    icnt++;
+                }
+
+                // №再採番
+                LineReNumbering();
+
+
+                // 資材種類コンボボックスにフォーカスを設定
+                cmbTypes.Focus();
+
+                // ボタン制御
+                setButtonEnable();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                mi.close();
+                mi = null;
+            }
+            return true;
+        }
+
+        /// <summary>
+        /// グリッド最終行での処理
+        /// </summary>
+        private void GridLastLine()
+        {
+            // 最終行判定
+            if (dgvMaster.CurrentCell.RowIndex == dgvMaster.Rows.Count - 1)
+            {
+                // 最終列判定
+                if (dgvMaster.CurrentCell.ColumnIndex == (int)DispColumn.RentCount )
+                {
+                    // 1行追加
+                    dgvMaster.Rows.Add();
+                    //// クリアデータセット
+                    //SetRowClearData(dgvMaster.Rows.Count - 1);
+                    // №再採番
+                    LineReNumbering();
+                }
+
+            }
+        }
+        /// <summary>
+        /// 資材数が0の資材も表示するボタン押下による表示制御処理
+        /// </summary>
+        private void radioButton1_CheckedChanged(object sender, EventArgs e)
+        {
+
+        }
+        /// <summary>
+        /// 資材数変更ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            try
+            {
+
+                //　※権限判定あり
+
+                FrmMaterialCountEntry frm = new FrmMaterialCountEntry();
+
+                // ----- 起動プロセス設定
+
+                //　遷移先の取得処理
+                int NowPoint = 0;
+                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.MaterialCountEntry);
+
+                //　遷移先への連携値
+                // パラメータセット
+                frm.MaterialType = CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispColumn.MaterialKindName].ToolTipText);
+                frm.MaterialItemCode = CommonMotions.cnvInt(dgvMaster.CurrentRow.Cells[(int)DispColumn.MaterialItemCode].Value);
+                frm.MaterialItem = CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispColumn.MaterialItemName].Value);
+                frm.MaterialCount = CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispColumn.MaterialCount].Value);
+                frm.MaterialAssignableCount = CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispColumn.RentCount].Value);
+
+                frm.ShowDialog();
+
+                //最新状態にする
+                int rowFirst = dgvMaster.FirstDisplayedScrollingRowIndex;
+                int rowCurrent = dgvMaster.CurrentCell.RowIndex;
+                DispGridData();
+                dgvMaster.ClearSelection();
+                dgvMaster.FirstDisplayedScrollingRowIndex = rowFirst;
+                dgvMaster.CurrentCell = dgvMaster[0, rowCurrent];
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        /// <summary>
+        /// 資材履歴ボタン押下時の処理
+        /// </summary>
+        private void btnMaterialHistory_Click(object sender, EventArgs e)
+        {
+            IOMaterialInfo mi = new IOMaterialInfo();
+            try
+            {
+                FrmMaterialHistory frm = new FrmMaterialHistory();
+
+                mi.connect();
+                List<MaterialInfo> Mi = new List<MaterialInfo>();
+                mi.SelectAction(string.Format(" where MaterialItemCode = {0}", CommonMotions.cnvInt(dgvMaster.CurrentRow.Cells[(int)DispColumn.MaterialItemCode].Value)), ref Mi, false);
+
+                //　遷移先への連携値
+                // パラメータセット
+                frm.MaterialType = CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispColumn.MaterialKindName].ToolTipText);
+                frm.MaterialItemCode = CommonMotions.cnvInt(dgvMaster.CurrentRow.Cells[(int)DispColumn.MaterialItemCode].Value);
+                frm.MaterialItem = CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispColumn.MaterialItemName].Value);
+                if (Mi.Count != 0)
+                {
+                    frm.MaterialCount = CommonMotions.cnvString(Mi[0].MaterialCount);
+                    frm.MaterialAssignableCount = CommonMotions.cnvString(Mi[0].RentCount);
+                }
+                frm.ShowDialog();
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                mi.close();
+                mi = null;
+            }
+        }
+        /// <summary>
+        /// ボタン制御
+        /// </summary>
+        private void setButtonEnable()
+        {       
+            try
+            {
+                // 資材一覧が1行選択されている場合、ボタンを活性にする
+                if (dgvMaster.SelectedRows.Count == 1)
+                {
+                    if (!m_EditLock)
+                    {
+                        btnMaterialCountEntry.Enabled = true;
+                    }
+                    btnMaterialHistory.Enabled = true;
+                }
+                // 資材一覧が選択されていない場合、または2行以上選択している場合、ボタンを非活性にする
+                else
+                {
+                    btnMaterialCountEntry.Enabled = false;
+                    btnMaterialHistory.Enabled = false;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        /// <summary>
+        /// 資材種類コンボ変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbTypes_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            DispGridData();
+        }
+
+        /// <summary>
+        /// 最新状態に更新押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnResetRecord_Click(object sender, EventArgs e)
+        {
+            DispGridData();
+        }
+
+
+
+    }
+}
\ No newline at end of file
